diff --git a/lisp/gnus-logic.el b/lisp/gnus-logic.el
index 954295438c953c2500b9c1959a49e52312cc9653..85a1f83466a246c26be5f8b05263a045c7928f0e 100644
--- a/lisp/gnus-logic.el
+++ b/lisp/gnus-logic.el
@@ -204,6 +204,8 @@
 	      (narrow-to-region
 	       (point)
 	       (or (search-forward "\n\n" nil t) (point-max)))
+        (when (string= (gnus-fetch-field "content-transfer-encoding") "base64")
+          (article-de-base64-unreadable t))
 	    (narrow-to-region
 	     (or (search-forward "\n\n" nil t) (point))
 	     (point-max))))
diff --git a/lisp/gnus-score.el b/lisp/gnus-score.el
index f86b6f837a70ce54b06668187821fe57c3f80f4c..231c942bb34c97d66563ca7a399c9808b1f66663 100644
--- a/lisp/gnus-score.el
+++ b/lisp/gnus-score.el
@@ -1781,6 +1781,8 @@ score in `gnus-newsgroup-scored' by SCORE."
 		      (narrow-to-region
 		       (point)
 		       (or (search-forward "\n\n" nil t) (point-max)))
+            (when (string= (gnus-fetch-field "content-transfer-encoding") "base64")
+              (article-de-base64-unreadable t))
 		    (narrow-to-region
 		     (or (search-forward "\n\n" nil t) (point))
 		     (point-max))))
